org.eclnt.jsfserver.rttools

## Class CCTDDispatcher

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,java.lang.Object>
    - - org.eclnt.jsfserver.managedbean.DefaultDispatcher
      - - org.eclnt.workplace.WorkpageDispatcher
        - - org.eclnt.jsfserver.rttools.CCTDDispatcher

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, Statusbar.IStatusBarDrillDownInfoProvider, IDispatcher, IWorkpageDispatcher

      public class CCTDDispatcher
      extends WorkpageDispatcher

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatcher

      `DefaultDispatcher.DispatchedBeanInfo, DefaultDispatcher.DispatcherInfo`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.workplace.WorkpageDispatcher

      `m_isMaximized, m_statusbar, m_workpage, m_workpageContainer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCTDDispatcher()`
    `CCTDDispatcher(IWorkpageContainer workpageContainer)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IWorkpageContainer` | `createWorkpageContainer()` Creation of Workpage Container instance.
    `protected java.lang.String` | `getRootExpression()` Override if NOT using "#{d}" as root dispatcher..
    `static DefaultDispatcher.DispatcherInfo` | `getStaticDispatcherInfo()`

    - ### Methods inherited from class org.eclnt.workplace.WorkpageDispatcher

      `checkIfToDrillDownToGlobalStatusbar, createModalPopup, createModelessPopup, createSubDispatcherInstance, destroy, findSessionTopWorkpageDispatcher, findSessionWorkpageContainer, getDialogSessionInstance, getIsMaximized, getOwner, getPreferredConstructorArguentClass, getStatusbar, getToMaximizedSizeRendered, getToNormalSizeRendered, getTopOwner, getWorkpage, getWorkpageContainer, isOpenedAsPopup, isPopupHeaderRendered, onMaximize, onMoveWorkpageIntoContentArea, prepareObject, setOwner, setWorkpage`

    - ### Methods inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatcher

      `addDispatcherExtension, checkIfDispatchedBeanIsLoaded, checkIfDispatchedBeanIsLoaded, createObjectInstance, createSubDispatcherIndex, createSubDispatcherInstance, get, getChildDispatchers, getContentReplace, getDispatchedBean, getDispatchedBean, getExpressionBase, getMyExpression, getMyExpression, initDispatcher, initRegisteredBeanInfos, initRegisteredPackages, outputLogInfoWhenNoClassWasResolved, readObject, registerSubDispatcherInstance, removeDispatchedBean, removeDispatchedBean, removeDispatcherExtension, resolveClass, toString, unregisterSubDispatcherInstance, updateExpression`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.managedbean.IDispatcher

      `checkIfDispatchedBeanIsLoaded, checkIfDispatchedBeanIsLoaded, createSubDispatcherIndex, createSubDispatcherInstance, getChildDispatchers, getContentReplace, getDispatchedBean, getDispatchedBean, getExpressionBase, getMyExpression, getMyExpression, removeDispatchedBean, removeDispatchedBean, unregisterSubDispatcherInstance, updateExpression`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Constructor Detail

    - #### CCTDDispatcher

          public CCTDDispatcher()

    - #### CCTDDispatcher

          public CCTDDispatcher(IWorkpageContainer workpageContainer)

  - ### Method Detail

    - #### getStaticDispatcherInfo

          public static DefaultDispatcher.DispatcherInfo getStaticDispatcherInfo()

    - #### getRootExpression

          protected java.lang.String getRootExpression()

      Description copied from class: `DefaultDispatcher`
      Override if NOT using "#{d}" as root dispatcher..
      Overrides:
        `getRootExpression` in class `DefaultDispatcher`

    - #### createWorkpageContainer

          protected IWorkpageContainer createWorkpageContainer()

      Description copied from class: `WorkpageDispatcher`
      Creation of Workpage Container instance. You may override in order to setup a different type of workpage container than the default.
      Overrides:
        `createWorkpageContainer` in class `WorkpageDispatcher`

Copyright © CaptainCasa Gmbh. All Rights Reserved.